Bug 1197857 - openstack-tuskar-ui : Something went wrong ! when attempting to perform node-action without selecting node.
Summary: openstack-tuskar-ui : Something went wrong ! when attempting to perform node-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tuskar-ui
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ga
: Director
Assignee: Radomir Dopieralski
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 19:05 UTC by Omri Hochman
Modified: 2015-08-05 13:50 UTC (History)
4 users (show)

Fixed In Version: openstack-tuskar-ui-0.3.0-2.el7ost
Doc Type: Bug Fix
Doc Text:
The code for executing bulk actions did not include a check to ensure a node is actually selected. The actions assumed that the list of nodes was not empty. The code generated an uncaught exception, resulting in a "Something went wrong" message when a DEBUG is disabled. With this update, a check to verify if at least one node is selected is included or to display a helpful error message when no node is selected. As a result, trying to perform a bulk action with no nodes selected results in a helpful message telling you to select some nodes first.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:50:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 161706 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Omri Hochman 2015-03-02 19:05:15 UTC
openstack-tuskar-ui : Something went wrong ! when attempting to perform node-action without selecting node. 

Environment:
------------
[root@localhost ~]# rpm -qa | grep tuskar
openstack-tuskar-ui-extras-0.0.3-1.el7ost.noarch
openstack-tuskar-ui-0.2.0-11.el7ost.noarch
python-tuskarclient-0.1.15-3.el7ost.noarch
openstack-tuskar-0.4.15-4.el7ost.noarch


Scenario:
---------
(1) Login to tuskar UI and discover nodes.  
(2) Browse the nodes tab and attempt to perform any action *without selecting a    host* 
    like activate-node/power-on-nodes/power-off-nodes 


Results:
--------- 
Something went wrong!

An unexpected error has occurred. Try refreshing the page. If that doesn't help, contact your local administrator.

Home

Help


httpd access.log:
-------------------
[02/Mar/2015:12:22:35 -0500] "POST /dashboard/infrastructure/nodes/ HTTP/1.1" 500 1666 "http://10.8.0.52:8080/dashboard/infrastructure/nodes/" "Mozilla/5.0 (X11; Linux x86_64; rv:35.0) Gecko/20100101 Firefox/35.0"


expected results: 
------------------
GUI informative error message.

Comment 3 Radomir Dopieralski 2015-03-05 13:23:00 UTC
https://review.openstack.org/161706

Comment 4 Radomir Dopieralski 2015-03-16 09:59:47 UTC
Patch merged upstream.

Comment 10 Omri Hochman 2015-07-06 19:09:35 UTC
Verified - -openstack-tuskar-ui-0.3.0-8.el7ost.noarch
It looks that the 'action buttons' are now disabled while the nodes are not selected .

Comment 12 errata-xmlrpc 2015-08-05 13:50:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.